import { Interface } from '@ethersproject/abi';
import { Token } from '../interfaces';
export declare type AddressMap = {
    [chainId: number]: string;
};
export interface WalletInfo {
    name: string;
    iconName: string;
    href: string | null;
}
/**  */
export declare const RPC_CONNECTION = "";
/** @deprecated use ERC20_TOKEN_ABI */
export declare const ERC20_ABI: any;
/** @deprecated use ERC20_TOKEN_ABI */
export declare const ERC20_ABI_CONST: any;
export declare const ERC20_INTERFACE: Interface;
declare const ERC20_BYTES32_INTERFACE: Interface;
export { ERC20_ABI as any, ERC20_BYTES32_INTERFACE };
export declare const ZERO_ADDRESS = "0x0000000000000000000000000000000000000000";
export declare const NetworkContextName = "NETWORK";
export declare const TOKEN_BALANCE_ABI: any;
export declare const POLL_OPTIONS: any;
export declare const SUPPORTED_WALLETS: {
    [key: string]: WalletInfo;
};
export declare const connectorsByName: {
    [key: string]: any;
};
export declare const COINGECKO_LIST = "https://tokens.coingecko.com/uniswap/all.json";
export declare const LIST_OF_ETH_TOKENS_LISTS: string[];
export declare const LIST_OF_BSC_TOKENS_LISTS: string[];
export declare const LIST_OF_AVAX_TOKENS_LISTS: string[];
export declare const TOKENS_LIST: {
    [key: number]: Token[];
};
export declare const MAX_ACCEPTED_TOKENS = 3;
export declare const GAS_CHAINS: {
    [chainId: number]: number;
};
export declare const TOKEN_PALETTE: {
    [chainId: number]: string;
};
export declare const NFT_MANAGER_ADDRESS: AddressMap;
export declare const PUBLIC_TRADE_ADDRESS: AddressMap;
export declare const P2P_TRADE_ADDRESS: AddressMap;
export declare const ORDERBOOK_ADDRESS: AddressMap;
export declare const DEXPOOLS_VAULT_ADDRESS: AddressMap;
export declare const TRADEPAIRS_ADDRESS: AddressMap;
export declare const PORTFOLIO_ADDRESS: AddressMap;
export declare const DEXMANAGER_ADDRESS: AddressMap;
export declare const TOKENFARM_ADDRESS: AddressMap;
export declare const DXP_ADDRESS: AddressMap;
export declare const LPTOKEN_ADDRESS: AddressMap;
